package com.qianhe.service;

import java.util.List;
import com.qianhe.domain.SjLhsc;
import com.qianhe.domain.Vo.SjLhscVo;

/**
 * 三基-例会上传Service接口
 * 
 * @author qianhe
 * @date 2024-07-08
 */
public interface ISjLhscService 
{
    /**
     * 查询三基-例会上传
     * 
     * @param id 三基-例会上传主键
     * @return 三基-例会上传
     */
    public SjLhsc selectSjLhscById(Long id);

    /**
     * 查询三基-例会上传列表
     * 
     * @param sjLhsc 三基-例会上传
     * @return 三基-例会上传集合
     */
    public List<SjLhsc> selectSjLhscList(SjLhsc sjLhsc);

    public List<SjLhsc> selectSjLhscList_main(SjLhsc sjLhsc);

    /**
     * 新增三基-例会上传
     * 
     * @param sjLhsc 三基-例会上传
     * @return 结果
     */
    public int insertSjLhsc(SjLhsc sjLhsc);

    /**
     * 修改三基-例会上传
     * 
     * @param sjLhsc 三基-例会上传
     * @return 结果
     */
    public int updateSjLhsc(SjLhsc sjLhsc);

    /**
     * 批量删除三基-例会上传
     * 
     * @param ids 需要删除的三基-例会上传主键集合
     * @return 结果
     */
    public int deleteSjLhscByIds(Long[] ids);

    /**
     * 删除三基-例会上传信息
     * 
     * @param id 三基-例会上传主键
     * @return 结果
     */
    public int deleteSjLhscById(Long id);

    int tj(SjLhsc sjLhsc);

    List<SjLhscVo> tjBysfsc(SjLhscVo vo);

    List<SjLhscVo> tjByEjJjwtSl(SjLhscVo vo);

    List<SjLhsc> selectSjLhscLhgxList(SjLhsc sjLhsc);


}
